Bug 223691 - [exp-run] Migrate bsd.apache.mk to Uses/apache.mk
Summary: [exp-run] Migrate bsd.apache.mk to Uses/apache.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D12308
Keywords:
Depends on: 224796 224797
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-15 20:58 UTC by Bernard Spil
Modified: 2018-03-25 17:38 UTC (History)
3 users (show)

See Also:


Attachments
svn diff for Mk (36.57 KB, patch)
2017-11-15 21:53 UTC, Bernard Spil
no flags Details | Diff
svn diff for bsd.apache.mk to Uses/apache.mk (37.56 KB, patch)
2017-11-19 19:17 UTC, Bernard Spil
no flags Details | Diff
svn diff for bsd.apache.mk to Uses/apache.mk (38.77 KB, patch)
2017-11-19 20:12 UTC, Bernard Spil
no flags Details | Diff
svn diff for bsd.apache.mk to Uses/apache.mk (39.18 KB, patch)
2017-11-19 20:15 UTC, Bernard Spil
no flags Details | Diff
svn diff for bsd.apache.mk to Uses/apache.mk (8.74 KB, patch)
2017-12-10 21:02 UTC, Bernard Spil
no flags Details | Diff
svn diff for bsd.apache.mk to Uses/apache.mk (36.52 KB, patch)
2017-12-11 08:22 UTC, Bernard Spil
no flags Details | Diff
svn diff for bsd.apache.mk to Uses/apache.mk (46.25 KB, patch)
2017-12-11 14:11 UTC, Bernard Spil
no flags Details | Diff
patching log and poudriere bulk (10.87 KB, text/plain)
2017-12-11 14:12 UTC, Bernard Spil
no flags Details
svn diff for bsd.apache.mk to Uses/apache.mk (46.22 KB, patch)
2017-12-13 13:51 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-11-15 20:58:19 UTC
Request to run an exp-run for review D12308
Comment 1 Bernard Spil freebsd_committer 2017-11-15 21:47:54 UTC
(In reply to Bernard Spil from comment #0)

this request is
With hat: apache
Comment 2 Bernard Spil freebsd_committer 2017-11-15 21:53:37 UTC
Created attachment 188031 [details]
svn diff for Mk

diff for completeness
Comment 3 Antoine Brodin freebsd_committer 2017-11-19 07:50:10 UTC
Exp-run fails to start,  Mk/Uses/php.mk includes ${PORTSDIR}/Mk/bsd.apache.mk which doesn't exist.
Comment 4 Antoine Brodin freebsd_committer 2017-11-19 08:00:40 UTC
${PORTSDIR}/Mk/bsd.apache.mk is also included in lang/php*
Comment 5 Bernard Spil freebsd_committer 2017-11-19 11:06:08 UTC
Hi Antoine,

This is noted in the review. How should I go about this? Supply a diff for all ports including bsd.apache.mk?

Cheers, Bernard.
Comment 6 Bernard Spil freebsd_committer 2017-11-19 19:17:47 UTC
Created attachment 188121 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

Add
 - change direct include of bsd.apache.mk in
   lang/php{56,70,71} and Mk/Uses/php.mk
 - add CHANGES
 - Update portlint reference to bsd.apache.mk

This builds on my bulk builder
Comment 7 Antoine Brodin freebsd_committer 2017-11-19 19:44:32 UTC
what about lang/php72?
Comment 8 Antoine Brodin freebsd_committer 2017-11-19 19:51:21 UTC
And what about Mk/bsd.port.mk
Comment 9 Bernard Spil freebsd_committer 2017-11-19 20:12:33 UTC
Created attachment 188122 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

Added missing Mk/bsd.port.mk
Comment 10 Bernard Spil freebsd_committer 2017-11-19 20:15:27 UTC
Created attachment 188123 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

Add new lang/php72 to patch (stale tree)
Comment 11 Bernard Spil freebsd_committer 2017-12-10 21:02:29 UTC
Created attachment 188696 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

Rework patches

Mk/bsd.sanity.mk

    APACHE_PORT is fatal

Mk/bsd.port.mk

    Properly transform versions 2.2-24 is now 2.2-2.4

Mk/Uses/apache.mk

    DEFAULT_APACHE_VER is now fatal
    Version checks updated and fixed
    Version selection improved
    Properly default to APACHE_DEFAULT
    Prep for version 2.5
Comment 12 Bernard Spil freebsd_committer 2017-12-11 08:22:33 UTC
Created attachment 188704 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

Good reminder to _ALWAYS_ check patches before uploading.
Not sure what that patch was I had uploaded...
Comment 13 Bernard Spil freebsd_committer 2017-12-11 08:52:23 UTC
Needs more fixing


> [00:02:47] Warning: (www/apache22): make: "/usr/ports/www/apache22/Makefile.modules" line 87: Malformed conditional (!${APACHE_ENABLED_MODS:MAUTHN*})
> [00:02:47] Warning: (www/apache22): make: "/usr/ports/www/apache22/Makefile.modules" line 93: Malformed conditional (!${APACHE_ENABLED_MODS:MAUTHZ*})
> [00:02:48] Warning: (www/apache22): make: Fatal errors encountered -- cannot continue[00:02:48] Error: Error fetching dependencies for www/apache22
> [00:02:48] Warning: (www/apache24): make: "/usr/ports/www/apache24/Makefile.modules" line 72: Malformed conditional (!${APACHE_ENABLERD_MODS:MAUTHN*})
> [00:02:48] Warning: (www/apache24): make: "/usr/ports/www/apache24/Makefile.modules" line 78: Malformed conditional (!${APACHE_ENABLED_MODS:MAUTHZ*})
> [00:02:48] Warning: (www/apache24): make: Fatal errors encountered -- cannot continue[00:02:48] Error: Error fetching dependencies for www/apache24
> [00:02:49] Warning: (www/mod_auth_pubtkt): make: "/usr/ports/www/mod_auth_pubtkt/Makefile" line 21: Malformed conditional (${APACHE_VERSION} > 22)
> [00:02:49] Warning: (www/mod_auth_pubtkt): make: Fatal errors encountered -- cannot continue[00:02:49] Error: Error fetching dependencies for www/mod_auth_pubtkt
> [00:02:49] Warning: (www/mod_evasive): make: "/usr/ports/www/mod_evasive/Makefile" line 33: Malformed conditional (${APACHE_VERSION:M24})
> [00:02:49] Warning: (www/mod_evasive): make: Fatal errors encountered -- cannot continue[00:02:49] Error: Error fetching dependencies for www/mod_evasive
> [00:02:49] Warning: (www/mod_mono): make: "/usr/ports/www/mod_mono/Makefile" line 28: Malformed conditional (${APACHE_VERSION} == 13)
> [00:02:49] Warning: (www/mod_perl2): make: "/usr/ports/www/mod_perl2/Makefile" line 37: Malformed conditional (${APACHE_VERSION:M22})
> [00:02:49] Warning: (www/mod_mono): make: Fatal errors encountered -- cannot continue[00:02:49] Error: Error fetching dependencies for www/mod_mono
> [00:02:49] Warning: (www/mod_perl2): make: Fatal errors encountered -- cannot continue[00:02:49] Error: Error fetching dependencies for www/mod_perl2
> [00:02:49] Warning: (www/mod_scgi): make: "/usr/ports/www/mod_scgi/Makefile" line 25: Malformed conditional (${APACHE_VERSION} == 24)
> [00:02:49] Warning: (www/mod_scgi): make: Fatal errors encountered -- cannot continue[00:02:49] Error: Error fetching dependencies for www/mod_scgi
> [00:02:57] Warning: (www/unit-php71): [00:02:57] Error: Duplicated origin for unit-php71-0.2_1: www/unit-php71 AND www/unit-php56. Rerun with -v to see which ports are
depending on these.

Will return once I have a complete patch-set.
Comment 14 Bernard Spil freebsd_committer 2017-12-11 14:11:25 UTC
Created attachment 188718 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

Updated patch with failing ports from running a poudriere bulk that check APACHE_VERSION.

This is now running on my bulk builder, see other att
> cd /usr/ports
> fetch -o ~/patch-Mk_Uses_apache.mk https://brnrd.eu/bsd/patch-Mk_Uses_apache.mk
> cp -p Mk/bsd.apache.mk Mk/Uses/apache.mk
> patch -p0 -V none -i ~/patch-Mk_Uses_apache.mk
> poudriere bulk -j 111amd64 -a
Comment 15 Bernard Spil freebsd_committer 2017-12-11 14:12:20 UTC
Created attachment 188719 [details]
patching log and poudriere bulk

Output of my bulk-builder with the attached patch
Comment 16 Bernard Spil freebsd_committer 2017-12-13 13:51:53 UTC
Created attachment 188804 [details]
svn diff for bsd.apache.mk to Uses/apache.mk

 - Define APACHE_VERSION before using it
 - Use .else not .elif for do-build target
Comment 17 Antoine Brodin freebsd_committer 2017-12-29 14:25:18 UTC
There are 2 new failures:

+ {"origin"=>"graphics/mapcache", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"www/mod_dav_svn", "phase"=>"package", "errortype"=>"???"}

www/mod_authnz_crowd was skipped due to those failures

Failure logs:

http://package23.nyi.freebsd.org/data/111i386-default-PR223691/2017-12-29_06h53m11s/logs/errors/mapcache-1.4.0.94.log
http://package23.nyi.freebsd.org/data/111i386-default-PR223691/2017-12-29_06h53m11s/logs/errors/mod_dav_svn-1.9.7.log
Comment 18 Bernard Spil freebsd_committer 2017-12-29 22:07:45 UTC
Thanks!

Digging in to see what caused this. Will be back with details soon
Comment 19 Bernard Spil freebsd_committer 2017-12-31 17:44:31 UTC
Both build failures addressed. See #24796 and #224797. Want me to include these patches in the overall patch for this PR?
Comment 21 commit-hook freebsd_committer 2018-03-11 14:24:13 UTC
A commit references this bug:

Author: brnrd
Date: Sun Mar 11 14:23:30 UTC 2018
New revision: 464175
URL: https://svnweb.freebsd.org/changeset/ports/464175

Log:
  Mk/Uses/apache.mk: Migrate Mk/bsd.apache.mk to Uses

   - Chase required changes in framework (bsd.sanity.mk, bsd.port.mk)
   - Chase required changes in ports (version checks)
   - Chase required changes in PHP ports (include bsd.apache.mk)
   - exp-run by antoine, brnrd, joneum

  PR:             223691 (exp-run)
  Reviewed by:    joneum (hat apache), mat (portmgr), antoine (portmgr)
  Approved by:    joneum (hat apache)
  Approved by:	portmgr
  With hat:       apache

Changes:
  head/CHANGES
  head/Mk/Uses/apache.mk
  head/Mk/Uses/php.mk
  head/Mk/bsd.apache.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/lang/php56/Makefile
  head/lang/php70/Makefile
  head/lang/php71/Makefile
  head/lang/php72/Makefile
  head/www/apache22/Makefile
  head/www/apache22/Makefile.modules
  head/www/apache24/Makefile
  head/www/apache24/Makefile.modules
  head/www/mod_auth_pubtkt/Makefile
  head/www/mod_evasive/Makefile
  head/www/mod_perl2/Makefile
  head/www/mod_scgi/Makefile